<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="h-full min-w-[400px]">
  <app-menu [defaultActiveIndex]="solo ? 0 : op == 'WRITE' ? 1 : 0" (onChange)="onChange($event)">
    <app-menu-item *ngIf="!solo || op == 'READ'">
      <app-menu-label>
        <div class="flex gap-2 text-base font-semibold items-center justify-center">
          <i class="pi pi-download text-grassGreen"></i>
          <div class="text-text-500">Read</div>
        </div>
      </app-menu-label>
      <app-menu-content>
        <div class="pt-4 h-full">
          <div @myInsertRemoveTrigger *ngIf="op == 'READ'" class="flex flex-col gap-0.5">
            <div *ngFor="let adapter of $adapters | async" class="flex items-center gap-6">
              <div class="p-3 rounded-sm hover:bg-primary-50 cursor-pointer grow" (click)="selectReadAdapter(adapter)" [ngClass]="{ 'bg-primary-50': adapter === selectedReadAdapter }">
                <app-adapter-preview [adapter]="adapter" [showConnectionCount]="false"></app-adapter-preview>
              </div>
              <app-adapter-help [adapter]="adapter"></app-adapter-help>
            </div>
          </div>
        </div>
      </app-menu-content>
    </app-menu-item>
    <app-menu-item *ngIf="!solo || op == 'WRITE'">
      <app-menu-label>
        <div class="flex gap-2 text-base font-semibold items-center justify-center">
          <i class="pi pi-upload text-skyBlue"></i>
          <div class="text-text-500">Write</div>
        </div>
      </app-menu-label>
      <app-menu-content>
        <div class="pt-4 h-full">
          <div @myInsertRemoveTrigger *ngIf="op == 'WRITE'" class="flex flex-col gap-0.5">
            <div *ngFor="let adapter of $adapters | async" class="flex items-center gap-6">
              <div
                class="p-3 rounded-sm hover:bg-primary-50 cursor-pointer grow"
                (click)="selectWriteAdapter(adapter)"
                [ngClass]="{ 'bg-primary-50': adapter === selectedWriteAdapter }"
              >
                <app-adapter-preview [adapter]="adapter" [showConnectionCount]="false"></app-adapter-preview>
              </div>
              <app-adapter-help [adapter]="adapter"></app-adapter-help>
            </div>
          </div>
        </div>
      </app-menu-content>
    </app-menu-item>
  </app-menu>
</div>
